# NeuralNetwork | @vladmandic/face-api - v1.7.8
Documentation for @vladmandic/face-api - v1.7.8

# Class NeuralNetwork<TNetParams>`Abstract`

#### Type Parameters

- #### TNetParams

#### Hierarchy

- NeuralNetwork
  - AgeGenderNet
  - FaceRecognitionNet
  - SsdMobilenetv1

- Defined in NeuralNetwork.ts:8

#####
Index

### Constructors

constructor

### Properties

_name

### Accessors

isLoaded
paramMappings
params

### Methods

dispose
extractWeights
freeze
getFrozenParams
getParamFromPath
getParamList
getTrainableParams
load
loadFromDisk
loadFromUri
loadFromWeightMap
reassignParamFromPath
serializeParams
variable

## Constructors

### constructor

- new NeuralNetwork<TNetParams>(name: string): NeuralNetwork <TNetParams>

- #### Type Parameters

  - #### TNetParams

  #### Parameters

  - ##### name: string

  #### Returns NeuralNetwork <TNetParams>

  - Defined in NeuralNetwork.ts:9

## Properties

### _name

_name: any

- Defined in NeuralNetwork.ts:17

## Accessors

### isLoaded

- get isLoaded(): boolean

- #### Returns boolean

  - Defined in NeuralNetwork.ts:23

### paramMappings

- get paramMappings(): ParamMapping[]

- #### Returns ParamMapping[]

  - Defined in NeuralNetwork.ts:21

### params

- get params(): undefined | TNetParams

- #### Returns undefined | TNetParams

  - Defined in NeuralNetwork.ts:19

## Methods

### dispose

- dispose(throwOnRedispose?: boolean): void

- #### Parameters

  - ##### throwOnRedispose: boolean = true

  #### Returns void

  - Defined in NeuralNetwork.ts:65

### extractWeights

- extractWeights(weights: Float32Array): void

- #### Parameters

  - ##### weights: Float32Array

  #### Returns void

  - Defined in NeuralNetwork.ts:118

### freeze

- freeze(): void

- #### Returns void

  - Defined in NeuralNetwork.ts:57

### getFrozenParams

- getFrozenParams(): {
  path: string;
  tensor: Tensor;
  }[]

- #### Returns {
  path: string;
  tensor: Tensor;
  }[]

  - Defined in NeuralNetwork.ts:47

### getParamFromPath

- getParamFromPath(paramPath: string): Tensor

- #### Parameters

  - ##### paramPath: string

  #### Returns Tensor

  - Defined in NeuralNetwork.ts:25

### getParamList

- getParamList(): {
  path: string;
  tensor: Tensor;
  }[]

- #### Returns {
  path: string;
  tensor: Tensor;
  }[]

  - Defined in NeuralNetwork.ts:36

### getTrainableParams

- getTrainableParams(): {
  path: string;
  tensor: Tensor;
  }[]

- #### Returns {
  path: string;
  tensor: Tensor;
  }[]

  - Defined in NeuralNetwork.ts:43

### load

- load(weightsOrUrl: undefined | string | Float32Array): Promise<void>

- #### Parameters

  - ##### weightsOrUrl: undefined | string | Float32Array

  #### Returns Promise<void>

  - Defined in NeuralNetwork.ts:83

### loadFromDisk

- loadFromDisk(filePath: undefined | string): Promise<void>

- #### Parameters

  - ##### filePath: undefined | string

  #### Returns Promise<void>

  - Defined in NeuralNetwork.ts:99

### loadFromUri

- loadFromUri(uri: undefined | string): Promise<void>

- #### Parameters

  - ##### uri: undefined | string

  #### Returns Promise<void>

  - Defined in NeuralNetwork.ts:91

### loadFromWeightMap

- loadFromWeightMap(weightMap: NamedTensorMap): void

- #### Parameters

  - ##### weightMap: NamedTensorMap

  #### Returns void

  - Defined in NeuralNetwork.ts:112

### reassignParamFromPath

- reassignParamFromPath(paramPath: string, tensor: Tensor): void

- #### Parameters

  - ##### paramPath: string

  - ##### tensor: Tensor

  #### Returns void

  - Defined in NeuralNetwork.ts:30

### serializeParams

- serializeParams(): Float32Array

- #### Returns Float32Array

  - Defined in NeuralNetwork.ts:75

### variable

- variable(): void

- #### Returns void

  - Defined in NeuralNetwork.ts:51